summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2010-01-30 10:40:05 +0100
committerWaldemar Brodkorb <wbx@openadk.org>2010-01-30 10:40:05 +0100
commitc64105459c5d9662dd8a330f264b60a61ba14c0b (patch)
tree80cbca19a7a31fb3357d8eec3784367075f3b5d3 /scripts
parent659846437896836e683ba5c0fc393a78eb641c18 (diff)
parent39e9af48da3ef01a9eca53d54ace7545eec39da8 (diff)
Merge branch 'master' of git+ssh://openadk.org/git/openadk
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/create-image.sh10
-rw-r--r--scripts/scan-pkgs.sh6
2 files changed, 15 insertions, 1 deletions
diff --git a/scripts/create-image.sh b/scripts/create-image.sh
index 4a23b49cf..96a96ced8 100755
--- a/scripts/create-image.sh
+++ b/scripts/create-image.sh
@@ -24,6 +24,16 @@ if [ $(id -u) -ne 0 ];then
exit 1
fi
+printf "Checking if mkfs is installed"
+mkfs=$(which mkfs.$filesystem)
+
+if [ ! -z $mkfs -a -x $mkfs ];then
+ printf "...okay\n"
+else
+ printf "...failed\n"
+ exit 1
+fi
+
printf "Checking if parted is installed"
parted=$(which parted)
diff --git a/scripts/scan-pkgs.sh b/scripts/scan-pkgs.sh
index b546e5f8c..3e8478244 100644
--- a/scripts/scan-pkgs.sh
+++ b/scripts/scan-pkgs.sh
@@ -86,10 +86,14 @@ if [[ -n $ADK_PACKAGE_EGLIBC ]]; then
NEED_GPERF="$NEED_GPERF eglibc"
fi
-if [[ -n $ADK_PACKAGE_FONT-BITSTREAM-100DPI ]]; then
+if [[ -n $ADK_PACKAGE_FONT_BITSTREAM_100DPI ]]; then
NEED_MKFONTDIR="$NEED_MKFONTDIR font-bitstream-100dpi"
fi
+if [[ -n $ADK_PACKAGE_FONT_BITSTREAM_75DPI ]]; then
+ NEED_MKFONTDIR="$NEED_MKFONTDIR font-bitstream-75dpi"
+fi
+
if [[ -n $NEED_GETTEXT ]]; then
if ! which xgettext >/dev/null 2>&1; then
echo >&2 You need gettext to build $NEED_GETTEXT